#include "jngen.h"
#include <iostream>

using namespace std;

int main(int argc, char* argv[])
{
    registerGen(argc, argv, 1);
    int t = atoi(argv[1]);
    cout << t << '\n';
    for (int _ = 0; _ < t; _++) {
        int n = rnd.next(2, 100'000 / t);
        int k = rnd.next(2, 2 * n);
        cout << n << ' ' << k << '\n';
        cout << Tree::randomPrim(n, rnd.next(-1000'000, 1000'000)).shuffled().add1(1) << endl;
        cout << Tree::randomPrim(n, rnd.next(-1000'000, 1000'000)).shuffled().add1(1) << endl;
    }
}